Get marketing activity
curl --request GET \
--url https://api.inflection.io/v1/contacts/{id}/marketing-activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.inflection.io/v1/contacts/{id}/marketing-activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.inflection.io/v1/contacts/{id}/marketing-activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "<unknown>",
"pagination": {
"pageNumber": 1,
"pageSize": 20,
"totalElements": 151,
"totalPages": 8
},
"errors": [
{
"errorCode": "<string>",
"message": "<string>",
"detail": "<string>"
}
],
"meta": {
"timestamp": "2023-11-07T05:31:56Z"
}
}Contact Activity
Get marketing activity
A paged list of marketing touches for the contact: email sends, opens, clicks, and journey activity.
GET
/
v1
/
contacts
/
{id}
/
marketing-activity
Get marketing activity
Authorizations
Personal Access Token or OAuth 2.1 access token, sent as a bearer credential. READ permission for GET, WRITE for POST/PATCH/DELETE.
Path Parameters
Was this page helpful?
⌘I